<?php

declare(strict_types = 1);

namespace Drupal\trash\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;
use Symfony\Component\Validator\ConstraintValidator;

/**
 * Validates that a given string can be used as a period in the past.
 */
class ValidAutoPurgePeriodConstraintValidator extends ConstraintValidator {

  /**
   * {@inheritdoc}
   */
  public function validate(mixed $value, Constraint $constraint) {
    $now = \Drupal::time()->getCurrentTime();
    $timestamp = strtotime(sprintf("-%s", $value));
    if (!$timestamp || $timestamp >= $now) {
      $this->context->addViolation($constraint->message, ['@value' => $value]);
    }
  }

}
