<?php

namespace Drupal\Tests\trash\Kernel;

use Drupal\KernelTests\KernelTestBase;
use Drupal\trash\TrashManagerInterface;

/**
 * Base class for Trash kernel tests.
 */
abstract class TrashKernelTestBase extends KernelTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = ['trash', 'trash_test', 'system'];

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();

    $this->installConfig(['trash_test']);
    $this->installEntitySchema('trash_test_entity');

    $config = \Drupal::configFactory()->getEditable('trash.settings');
    $enabled_entity_types = $config->get('enabled_entity_types');
    $enabled_entity_types[] = 'trash_test_entity';
    $config->set('enabled_entity_types', $enabled_entity_types);
    $config->save();
  }

  /**
   * Gets the trash manager.
   */
  protected function getTrashManager(): TrashManagerInterface {
    return \Drupal::service('trash.manager');
  }

}
